org.apache.ignite.internal.util.nio

## Interface GridNioMessageReader

    public interface GridNioMessageReader

Message reader.

### Method Summary

Methods
`MessageFactory` `messageFactory()`
`boolean` `read(UUID nodeId, Message msg, ByteBuffer buf)`

### Method Detail

#### read

    boolean read(@Nullable
               UUID nodeId,
               Message msg,
               ByteBuffer buf)

Parameters:
  `nodeId` - Node ID.
  `msg` - Message to read.
  `buf` - Buffer.
Returns:
  Whether message was fully read.

#### messageFactory

    @Nullable
    MessageFactory messageFactory()

Returns:
  Optional message factory.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017